GDAL(1)

NAME
gdal - Main gdal entry point

Added in version 3.11.

SYNOPSIS

            Usage: gdal <COMMAND> [OPTIONS]
            where <COMMAND> is one of:
              - convert:  Convert a dataset (shortcut for 'gdal raster convert' or 'gdal vector convert').
              - dataset:  Commands to manage datasets.
              - driver:   Command for driver specific operations.
              - info:     Return information on a dataset (shortcut for 'gdal raster info' or 'gdal vector info').
              - mdim:     Multidimensional commands.
              - pipeline: Process a dataset applying several steps.
              - raster:   Raster commands.
              - vector:   Vector commands.
              - vsi:      GDAL Virtual System Interface (VSI) commands.

            Common Options:
              -h, --help              Display help message and exit
              --json-usage            Display usage as JSON document and exit
              --config <KEY>=<VALUE>  Configuration option [may be repeated]

            Options:
              --version               Display GDAL version and exit
              --drivers               Display driver list as JSON document

            'gdal <FILENAME>' can also be used as a shortcut for 'gdal info <FILENAME>'.
            And 'gdal read <FILENAME> ! ...' as a shortcut for 'gdal pipeline <FILENAME> ! ...'.

EXAMPLES

  Example 1: Getting information on the file utm.tif (with JSON output)

            $ gdal info utm.tif

  Example 2: Converting file utm.tif to GeoPackage raster

            $ gdal convert utm.tif utm.gpkg

  Example 3: Getting information on all available commands and subcommands as a JSON document.

            $ gdal --json-usage

  Example 4: Getting list of all formats supported by the current GDAL build, as text

            $ gdal --formats

  Example 5: Getting list of all formats supported by the current GDAL build, as JSON.

            $ gdal --formats --json

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026